org.apache.ignite.internal.processors.cache.verify

## Class PartitionHashRecordV2

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.processors.cache.verify.PartitionHashRecordV2

All Implemented Interfaces:
  Externalizable, Serializable

    public class PartitionHashRecordV2
    extends VisorDataTransferObject

Record containing partition checksum, primary flag and consistent ID of owner.

See Also:
  Serialized Form

### Field Summary

Fields
`static long` `MOVING_PARTITION_SIZE` Moving partition size.

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`PartitionHashRecordV2()` Default constructor for Externalizable.
`PartitionHashRecordV2(PartitionKeyV2 partKey, boolean isPrimary, Object consistentId, int partHash, long updateCntr, long size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `consistentId()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`boolean` `isPrimary()`
`int` `partitionHash()`
`PartitionKeyV2` `partitionKey()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`long` `size()`
`String` `toString()`
`long` `updateCounter()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MOVING_PARTITION_SIZE

    public static final long MOVING_PARTITION_SIZE

Moving partition size.

See Also:
  Constant Field Values

### Constructor Detail

#### PartitionHashRecordV2

    public PartitionHashRecordV2(PartitionKeyV2 partKey,
                                 boolean isPrimary,
                                 Object consistentId,
                                 int partHash,
                                 long updateCntr,
                                 long size)

Parameters:
  `partKey` - Partition key.
  `isPrimary` - Is primary.
  `consistentId` - Consistent id.
  `partHash` - Partition hash.
  `updateCntr` - Update counter.
  `size` - Size.

#### PartitionHashRecordV2

    public PartitionHashRecordV2()

Default constructor for Externalizable.

### Method Detail

#### partitionKey

    public PartitionKeyV2 partitionKey()

Returns:
  Partition key.

#### isPrimary

    public boolean isPrimary()

Returns:
  Is primary.

#### consistentId

    public Object consistentId()

Returns:
  Consistent id.

#### partitionHash

    public int partitionHash()

Returns:
  Partition hash.

#### updateCounter

    public long updateCounter()

Returns:
  Update counter.

#### size

    public long size()

Returns:
  Size.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018